package com.saye.hospitalgd.service;


import com.saye.hospitalgd.entity.BankbillHistory;

import java.util.HashMap;
import java.util.List;
/**
 * (BankbillHistory)表服务接口
 *
 * @author makejava
 * @since 2021-09-09 15:35:53
 */
public interface BankbillHistoryService {

    List<HashMap<Object,Object>> findBankbillHistoryById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findBankbillHistoryList(HashMap<Object,Object> map);

    void insertBankBillOriginal(List<BankbillHistory> list, String trade_date, String bill_table_name) throws Exception;

    void insertAllBankHistory(List<BankbillHistory> list,String trade_date,String bill_table_name) throws Exception;

    List<HashMap<Object, Object>> findCzffs() throws Exception;

    void deleteTempTable() throws Exception;

    void findBankbillHistoryToTemp(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankbillHistoryByParam(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankbillHistoryByTimeAndPlatformTransId(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankBillNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankBillMoneyByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findbankbillHistoryCount(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findbankbillHistorySum(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankbillCountData(HashMap<Object, Object> map) throws Exception;
}
